Package org.globus.gsi.bc

# Class BouncyCastleX509Extension

java.lang.Object
org.globus.gsi.X509Extension
org.globus.gsi.bc.BouncyCastleX509Extension

Direct Known Subclasses:
  `GlobusProxyCertInfoExtension`, `ProxyCertInfoExtension`

public class BouncyCastleX509Extension extends X509Extension
A convenience class for creating X.509 extensions from `DEREncodable` objects.

## Field Summary

### Fields inherited from class org.globus.gsi.X509Extension

`critical, oid, value`

## Constructor Summary

Constructors
Constructor
Description
`BouncyCastleX509Extension(String oid)`
`BouncyCastleX509Extension(String oid, boolean critical, org.bouncycastle.asn1.ASN1Encodable value)`
`BouncyCastleX509Extension(String oid, org.bouncycastle.asn1.ASN1Encodable value)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`setValue(org.bouncycastle.asn1.ASN1Encodable value)`

### Methods inherited from class org.globus.gsi.X509Extension

`getOid, getValue, isCritical, setCritical, setOid, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BouncyCastleX509Extension

public BouncyCastleX509Extension(String oid)

### BouncyCastleX509Extension

public BouncyCastleX509Extension(String oid, org.bouncycastle.asn1.ASN1Encodable value)

### BouncyCastleX509Extension

public BouncyCastleX509Extension(String oid, boolean critical, org.bouncycastle.asn1.ASN1Encodable value)

## Method Details

### setValue

protected void setValue(org.bouncycastle.asn1.ASN1Encodable value)